Orders

Order totals

Returns summary totals for the same order dataset as the orders list
endpoint. All returned *_at timestamps are in UTC.

GET /api/v1/store/orders/totals

Order totals

curl --request GET \
  --url 'https://{baseUrl}/api/v1/store/orders/totals' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": {
    "count": 712,
    "total": 124550.42,
    "total_items": 1196,
    "average_order_value": 174.9,
    "average_order_items": 1.7,
    "net": 118420.13,
    "unique_customers": 508,
    "total_shipping": 5421.1,
    "total_discount": 2140.55,
    "total_tax": 10334.89,
    "total_fees": 882.41,
    "total_refunds": 1986.23
  }
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Query Parameters

  • filters string

    Optional JSON-encoded filter array. See Order Filters Reference. Example: [{"field":"total","operator":"gte","value":100}]

  • search string

    Search term to filter orders before totaling. Example: 1001

Headers

  • Accept string required

    Response format header. Example: application/json

Response

application/json
  • data object
    + Show Child Attributes
    • count integer
    • total number
    • total_items integer
    • average_order_value number
    • average_order_items number
    • net number
    • unique_customers integer
    • total_shipping number
    • total_discount number
    • total_tax number
    • total_fees number
    • total_refunds number